org.jboss.netty.handler.codec.marshalling

## Interface UnmarshallerProvider

All Known Implementing Classes:
  ContextBoundUnmarshallerProvider, DefaultUnmarshallerProvider, ThreadLocalUnmarshallerProvider

    public interface UnmarshallerProvider

This provider is responsible to get an `Unmarshaller` for a `ChannelHandlerContext`

### Method Summary

Methods
`org.jboss.marshalling.Unmarshaller` `getUnmarshaller(ChannelHandlerContext ctx)` Get the `Unmarshaller` for the given `ChannelHandlerContext`

### Method Detail

#### getUnmarshaller

    org.jboss.marshalling.Unmarshaller getUnmarshaller(ChannelHandlerContext ctx)
                                                       throws Exception

Get the `Unmarshaller` for the given `ChannelHandlerContext`

Throws:
  `Exception`